All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas
Class ComponentInterfaceSupport

    com.sas.ComponentInterfaceSupport

    public final class ComponentInterfaceSupport

The ComponentInterfaceSupport class provides a default implementation of the ComponentInterface interface. The methods in ComponentInterfaceSupport are called from ComponentInterfaceImpl.ji. ComponentInterfaceImpl.ji is included by the C preprocessor into .js files and used to create .java files for components which implement the ComponentInterface.

The Bean Extension Wizard uses template files generated from .js and .ji files to create java code which calls the methods in ComponentInterfaceSupport.

ComponentInterfaceSupport has a private constructor since it has only static methods and cannot be instantiated.

See Also:
  `ViewInterface`

Field Summary
`static java.lang.String[][][]` | `propertyMetadata`

Method Summary
`static void` | `addPropertyChangeListener(ComponentInterface componentInstance, java.beans.PropertyChangeListener listener)`
`static void` | `addVetoableChangeListener(ComponentInterface componentInstance, java.beans.VetoableChangeListener listener)`
`static boolean` | `anyPropertyChangeListeners(ComponentInterface componentInstance)`
`static boolean` | `anyVetoableChangeListeners(ComponentInterface componentInstance)` Returns whether or not there are any VetoableChangeListeners on the specified component.
`static void` | `clone(ComponentInterface sourceComponent, ComponentInterface destComponent)` This is a helper method meant to be called by implementors of ComponentInterface.
`static void` | `dumpComponent(ComponentInterface componentInstance)`
`static void` | `firePropertyChange(ComponentInterface componentInstance, java.beans.PropertyChangeEvent propertyChangeEvent)`
`static void` | `firePropertyChange(ComponentInterface source, java.lang.String propertyName, boolean newValue)`
`static void` | `firePropertyChange(ComponentInterface source, java.lang.String propertyName, byte oldValue, byte newValue)`
`static void` | `firePropertyChange(ComponentInterface source, java.lang.String propertyName, char oldValue, char newValue)`
`static void` | `firePropertyChange(ComponentInterface source, java.lang.String propertyName, double oldValue, double newValue)`
`static void` | `firePropertyChange(ComponentInterface source, java.lang.String propertyName, float oldValue, float newValue)`
`static void` | `firePropertyChange(ComponentInterface source, java.lang.String propertyName, int oldValue, int newValue)` firePropertyChange is a helper method for component writers.
`static void` | `firePropertyChange(ComponentInterface source, java.lang.String propertyName, long oldValue, long newValue)`
`static void` | `firePropertyChange(ComponentInterface componentInstance, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)`
`static void` | `firePropertyChange(ComponentInterface source, java.lang.String propertyName, short oldValue, short newValue)`
`static void` | `firePropertyChangeQuickly(ComponentInterface source, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)`
`static void` | `fireVetoableChange(ComponentInterface componentInstance, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)`
`static java.lang.String` | `getComponentDescription(ComponentInterface componentInstance)`
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()` Returns the ExtendedBeanInfo for ComponentInterface.
`static void` | `initialize(ComponentInterface componentInstance)`
`static void` | `initializeComponent(ComponentInterface componentInstance)`
`static boolean` | `isDesignTime(ComponentInterface componentInstance)`
`static void` | `readObject(ComponentInterface componentInstance, java.io.ObjectInputStream stream)` readObject is called to deserialize a componet.
`static void` | `removePropertyChangeListener(ComponentInterface componentInstance, java.beans.PropertyChangeListener listener)`
`static void` | `removeVetoableChangeListener(ComponentInterface componentInstance, java.beans.VetoableChangeListener listener)`
`static void` | `setComponentDescription(ComponentInterface componentInstance, java.lang.String description)`
`static void` | `validateObject(ComponentInterface componentInstance)`

Field Detail

### propertyMetadata

    public static final java.lang.String[][][] propertyMetadata

Method Detail

### getComponentDescription

    public static java.lang.String getComponentDescription(ComponentInterface componentInstance)

  See Also:
    `ComponentInterface.getComponentDescription()`

### setComponentDescription

    public static void setComponentDescription(ComponentInterface componentInstance,
                                               java.lang.String description)

  See Also:
    `ComponentInterface.setComponentDescription(java.lang.String)`

### isDesignTime

    public static boolean isDesignTime(ComponentInterface componentInstance)

  See Also:
    `ComponentInterface.isDesignTime()`

### dumpComponent

    public static void dumpComponent(ComponentInterface componentInstance)

  See Also:
    `ComponentInterface.dumpComponent()`

### addPropertyChangeListener

    public static void addPropertyChangeListener(ComponentInterface componentInstance,
                                                 java.beans.PropertyChangeListener listener)

  See Also:
    `ComponentInterface.addPropertyChangeListener(java.beans.PropertyChangeListener)`

### removePropertyChangeListener

    public static void removePropertyChangeListener(ComponentInterface componentInstance,
                                                    java.beans.PropertyChangeListener listener)

  See Also:
    `ComponentInterface.removePropertyChangeListener(java.beans.PropertyChangeListener)`

### firePropertyChange

    public static void firePropertyChange(ComponentInterface componentInstance,
                                          java.lang.String propertyName,
                                          java.lang.Object oldValue,
                                          java.lang.Object newValue)

  See Also:
    `ComponentInterface.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)`

### anyPropertyChangeListeners

    public static boolean anyPropertyChangeListeners(ComponentInterface componentInstance)

  See Also:
    `ComponentInterface.anyPropertyChangeListeners()`

### firePropertyChange

    public static void firePropertyChange(ComponentInterface componentInstance,
                                          java.beans.PropertyChangeEvent propertyChangeEvent)

  See Also:
    `ComponentInterface.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)`

### anyVetoableChangeListeners

    public static boolean anyVetoableChangeListeners(ComponentInterface componentInstance)

  Returns whether or not there are any VetoableChangeListeners on the specified component.

  Parameters:
    `componentInstance` - The component the check for VetoableChangeListeners.
  Returns:
    whether or not there are any VetoableChangeListeners on the specified component.

### addVetoableChangeListener

    public static void addVetoableChangeListener(ComponentInterface componentInstance,
                                                 java.beans.VetoableChangeListener listener)

  See Also:
    `ComponentInterface.addVetoableChangeListener(java.beans.VetoableChangeListener)`

### removeVetoableChangeListener

    public static void removeVetoableChangeListener(ComponentInterface componentInstance,
                                                    java.beans.VetoableChangeListener listener)

  See Also:
    `ComponentInterface.removeVetoableChangeListener(java.beans.VetoableChangeListener)`

### fireVetoableChange

    public static void fireVetoableChange(ComponentInterface componentInstance,
                                          java.lang.String propertyName,
                                          java.lang.Object oldValue,
                                          java.lang.Object newValue)
                                   throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException` - The listener vetoed the set of this constrained property
  See Also:
    `ComponentInterface.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)`

### initialize

    public static void initialize(ComponentInterface componentInstance)

  See Also:
    `ComponentInterface.initialize()`

### initializeComponent

    public static void initializeComponent(ComponentInterface componentInstance)

  See Also:
    `ComponentInterface.initializeComponent()`

### readObject

    public static void readObject(ComponentInterface componentInstance,
                                  java.io.ObjectInputStream stream)
                           throws java.io.NotActiveException,
                                  java.io.InvalidObjectException,
                                  java.lang.ClassNotFoundException,
                                  java.io.IOException

  readObject is called to deserialize a componet.

  Throws:
    `java.lang.ClassNotFoundException` - will be thrown if any of the components subobject's class can not be loaded.
    `java.io.NotActiveException`
    `java.io.InvalidObjectException`
    `java.io.IOException`

### validateObject

    public static void validateObject(ComponentInterface componentInstance)

  See Also:
    `ObjectInputValidation.validateObject()`

### clone

    public static void clone(ComponentInterface sourceComponent,
                             ComponentInterface destComponent)
                      throws java.lang.CloneNotSupportedException

  This is a helper method meant to be called by implementors of ComponentInterface. It copies the state from one ComponentInterface to another.

  This method is meant to be called by the implementation of clone for the ComponentInterface after the `destComponent` has been created using `sourceComponent.clone()`.

  Parameters:
    `sourceComponent` - The component to clone the ComponentInterface information from.
    `destComponent` - The clone of the `sourceComponent`.
  Throws:
    `java.lang.CloneNotSupportedException` - is thrown if the model attached to the component does not allow the component to attach to it.

### firePropertyChange

    public static void firePropertyChange(ComponentInterface source,
                                          java.lang.String propertyName,
                                          int oldValue,
                                          int newValue)

  firePropertyChange is a helper method for component writers. It conditionally fires a PropertyChangeEvent if the old and new values passed in are different. It also checks to see if there are any listeners for the event before attempting to fire it.

  Parameters:
    `source` - The component whose property has changed.
    `propertyName` - The name of the property whose value changed.
    `oldValue` - The old value of the property.
    `newValue` - The new value of the property.
  See Also:
    `firePropertyChange(com.sas.ComponentInterface, java.lang.String, java.lang.Object, java.lang.Object)`

### firePropertyChange

    public static void firePropertyChange(ComponentInterface source,
                                          java.lang.String propertyName,
                                          float oldValue,
                                          float newValue)

### firePropertyChange

    public static void firePropertyChange(ComponentInterface source,
                                          java.lang.String propertyName,
                                          double oldValue,
                                          double newValue)

### firePropertyChange

    public static void firePropertyChange(ComponentInterface source,
                                          java.lang.String propertyName,
                                          char oldValue,
                                          char newValue)

### firePropertyChange

    public static void firePropertyChange(ComponentInterface source,
                                          java.lang.String propertyName,
                                          byte oldValue,
                                          byte newValue)

### firePropertyChange

    public static void firePropertyChange(ComponentInterface source,
                                          java.lang.String propertyName,
                                          short oldValue,
                                          short newValue)

### firePropertyChange

    public static void firePropertyChange(ComponentInterface source,
                                          java.lang.String propertyName,
                                          long oldValue,
                                          long newValue)

### firePropertyChange

    public static void firePropertyChange(ComponentInterface source,
                                          java.lang.String propertyName,
                                          boolean newValue)

### firePropertyChangeQuickly

    public static void firePropertyChangeQuickly(ComponentInterface source,
                                                 java.lang.String propertyName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns the ExtendedBeanInfo for ComponentInterface.

  Returns:
    the ExtendedBeanInfo for ComponentInterface.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.